---
names:
  full: "Azure Storage File Shares Soft Delete is not enabled"
  contextual: "File Shares Soft Delete is not enabled"
description: "Azure Files offers soft delete for file shares, allowing you to easily recover your data\
  \ when it is mistakenly deleted by an application or another storage account user."
type: BEST_PRACTICE
categories:
  - RELIABILITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/09/01/01"
  - "/frameworks/cloudaware/resource-security/data-protection-and-recovery"
